Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  class Power [ReplValsImpl <: ReplVals] extends AnyRef

  A class for methods to be injected into the intp in power mode.

  A class for methods to be injected into the intp in power mode.

  Definition Classes
    interpreter
-  trait Implicits2 extends Implicits1
  Definition Classes
    Power
- RichSymbol
- symbolSubtypeOrdering

o

scala.tools.nsc.interpreter.Power.Implicits2

# symbolSubtypeOrdering 

###

#### object symbolSubtypeOrdering extends Ordering[Global.Symbol]

Source
  Power.scala

Linear Supertypes
math.Ordering[Global.Symbol], math.PartialOrdering[Global.Symbol], math.Equiv[Global.Symbol], Serializable, java.io.Serializable, Comparator[Global.Symbol], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. symbolSubtypeOrdering
2. Ordering
3. PartialOrdering
4. Equiv
5. Serializable
6. Serializable
7. Comparator
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class Ops extends AnyRef
   Definition Classes
     Ordering

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  def compare(s1: Global.Symbol, s2: Global.Symbol): Int
   Definition Classes
     symbolSubtypeOrdering → Ordering → Comparator
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def equiv(x: Global.Symbol, y: Global.Symbol): Boolean
   Definition Classes
     Ordering → PartialOrdering → Equiv
10.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
12.  def gt(x: Global.Symbol, y: Global.Symbol): Boolean
    Definition Classes
      Ordering → PartialOrdering
13.  def gteq(x: Global.Symbol, y: Global.Symbol): Boolean
    Definition Classes
      Ordering → PartialOrdering
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def lt(x: Global.Symbol, y: Global.Symbol): Boolean
    Definition Classes
      Ordering → PartialOrdering
17.  def lteq(x: Global.Symbol, y: Global.Symbol): Boolean
    Definition Classes
      Ordering → PartialOrdering
18.  def max(x: Global.Symbol, y: Global.Symbol): Global.Symbol
    Definition Classes
      Ordering
19.  def min(x: Global.Symbol, y: Global.Symbol): Global.Symbol
    Definition Classes
      Ordering
20.  implicit def mkOrderingOps(lhs: Global.Symbol): Ops
    Definition Classes
      Ordering
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
24.  def on[U](f: (U) ⇒ Global.Symbol): math.Ordering[U]
    Definition Classes
      Ordering
25.  def reverse: math.Ordering[Global.Symbol]
    Definition Classes
      Ordering → PartialOrdering
26.  def reversed(): Comparator[Global.Symbol]
    Definition Classes
      Comparator
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def thenComparing[U <: Comparable[_ >: U]](arg0: java.util.function.Function[_ >: Global.Symbol, _ <: U]): Comparator[Global.Symbol]
    Definition Classes
      Comparator
29.  def thenComparing[U](arg0: java.util.function.Function[_ >: Global.Symbol, _ <: U], arg1: Comparator[_ >: U]): Comparator[Global.Symbol]
    Definition Classes
      Comparator
30.  def thenComparing(arg0: Comparator[_ >: Global.Symbol]): Comparator[Global.Symbol]
    Definition Classes
      Comparator
31.  def thenComparingDouble(arg0: ToDoubleFunction[_ >: Global.Symbol]): Comparator[Global.Symbol]
    Definition Classes
      Comparator
32.  def thenComparingInt(arg0: ToIntFunction[_ >: Global.Symbol]): Comparator[Global.Symbol]
    Definition Classes
      Comparator
33.  def thenComparingLong(arg0: ToLongFunction[_ >: Global.Symbol]): Comparator[Global.Symbol]
    Definition Classes
      Comparator
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  def tryCompare(x: Global.Symbol, y: Global.Symbol): Some[Int]
    Definition Classes
      Ordering → PartialOrdering
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from math.Ordering[Global.Symbol]

### Inherited from math.PartialOrdering[Global.Symbol]

### Inherited from math.Equiv[Global.Symbol]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Comparator[Global.Symbol]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped